package com.oguerreiro.resilient.error;

public class ImporterOrganizationCodeNotFoundException extends ResilientException {
  private static final String CODE = "E014";

  public ImporterOrganizationCodeNotFoundException(String sheetName, int row, String organizationCode) {
    super("Sheet [" + sheetName + "]; Row[" + row + "]; Organization Code [" + organizationCode
        + "]. Organization not found.");

    addMessageArg(sheetName);
    addMessageArg(row);
    addMessageArg(organizationCode);
  }

  @Override
  public String getMessageCode() {
    return CODE;
  }

}